gnash(1)

NAME
gnash - GNU Flash (SWF) Player

Synopsis

gnash (options)... (file)...

DESCRIPTION
Run the SWF movie player.

-h  Print usage info.

-s factor
    Scale the movie up/down by the specified factor.

-c  Severe errors produce a core file instead of letting SDL trap them.

-d num
    Number of milliseconds to delay in main loop.

-a  Enable ActionScript debugging.

-x  The XID of the parent window Gnash should use instead of creating a new one. This is only used when embedding the player into another window.

-j  Set the width of the window. This is only used when embedding the player into another window.

-k  Set the height of the window. This is only used when embedding the player into another window.

-v  Be verbose; i.e. print log messages to stdout.

-va Be verbose about movie Actions.

-vp Be verbose about parsing the movie.

-ml bias
    Specify the texture LOD bias (float, default is -1).

-p  Run full speed (without sleeping), and log the frame rate.

-g  Start Gnash with a Flash debugger console so one can set breakpoints or watchpoints.

-w  Write the gnash-dbg.log debug log to disk. By default the plugin writes its log in your home directory when using a launcher from GNOME or KDE.

-1  Play once; exit when/if movie reaches the last frame.

-r [0|1|2]
    0 disables rendering and sound (good for batch tests).

    1 enables rendering and sound (default setting).

    2 enables rendering and disables sound.

-t sec
    Timeout and exit after the specified number of seconds.

-u  Set "real" url of the movie (useful for downloaded movies).

-U  Set "base" url for this run (used to resolve relative urls, defaults to movie url)

-P  Set parameter (ie. "FlashVars=A=1&b=2")

-F  Set filedescriptor to use for external communications.

--version
    Print the version number, and the configuration, of the Gnash player. Please provide this information when submitting bug reports.

  KEYS

CTRL-Q
    Quit/Exit.

CTRL-W
    Quit/Exit.

ESC Quit/Exit.

CTRL-P
    Toggle Pause.

CTRL-R
    Restart the movie.

CTRL-[ or kp-
    Step back one frame.

CTRL-] or kp+
    Step forward one frame.

CTRL-T
    Debug. Test the set_variable() function.

CTRL-G
    Debug. Test the get_variable() function.

CTRL-M
    Debug. Test the call_method() function.

CTRL-B
    Toggle background color.

Flash is a registered trademark of Adobe Corporation.